Account

Read account plan limits available to Management API integrations.

Get account limits

GET /api/v1/panel/get-account-limits

Required scope: account:read

curl "https://api.blazeauth.net/api/v1/panel/get-account-limits" \
  -H "Authorization: Bearer $BLAZEAUTH_MANAGEMENT_API_KEY"
{
  "success": true,
  "message": "Successfully fetched limits",
  "data": {
    "planName": "Basic",
    "authorizedSessionCount": {
      "currentValue": 100,
      "maxValue": 100
    },
    "storageSizeMib": {
      "currentValue": 128,
      "maxValue": 1024
    },
    "createdApplicationVariableCount": {
      "currentValue": 4,
      "maxValue": 20
    },
    "createdApplicationLicenseCount": {
      "currentValue": 120,
      "maxValue": 1000
    },
    "createdApplicationUserCount": {
      "currentValue": 42,
      "maxValue": 1000
    },
    "uploadedFilesCount": {
      "currentValue": 12,
      "maxValue": 100
    },
    "createdApplicationBlacklistCount": {
      "currentValue": 7,
      "maxValue": 100
    },
    "createdApplicationsCount": {
      "currentValue": 2,
      "maxValue": 5
    },
    "createdApplicationLicenseLevelsCount": {
      "currentValue": 2,
      "maxValue": 10
    },
    "apiKeyCount": {
      "currentValue": 1,
      "maxValue": 3
    },
    "liveSessionsOverview": {
      "currentValue": true
    },
    "geoBalancing": {
      "currentValue": false
    }
  }
}

Field model

Numeric limits use:

{
  "currentValue": 12,
  "maxValue": 100
}

Boolean plan features use:

{
  "currentValue": true
}

apiKeyCount.currentValue counts active Management API keys only. Revoked and expired keys do not count toward the active key limit.

On this page